package com.adealink.weparty.room.sdk.controller

import com.adealink.frame.room.data.FlowStateInfo
import com.adealink.frame.room.data.RoomState
import com.adealink.frame.room.listener.IListener

interface IController<L : IListener> {

    fun addListener(l: L)

    fun removeListener(l: L)

    fun clearListener()

    fun onRoomStateChanged(
        fromState: RoomState,
        toState: RoomState,
        flowStateInfo: FlowStateInfo
    ) {
    }
}